Bug 213667 - should select current PPD when changing it
should select current PPD when changing it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 213668
  Show dependency treegraph
 
Reported: 2006-11-02 09:30 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 12:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-02 09:30:46 EST
Description of problem:
When changing the PPD for a printer, the current PPD is not correctly selected.

Version-Release number of selected component (if applicable):
0.7.32-1

How reproducible:
100%

Steps to Reproduce:
1. Click 'Change PPD'
2. Next (make is correct)
3. Model is incorrect.

Fix is:

--- system-config-printer.py    1 Nov 2006 13:22:54 -0000       1.110
+++ system-config-printer.py    2 Nov 2006 14:25:12 -0000
@@ -1561 +1561 @@
-                    self.auto_model = attr.value[len(self.auto_make):]
+                    self.auto_model = attr.value[len(self.auto_make):].strip ()
Comment 1 Fedora Update System 2006-11-09 12:03:03 EST
Fixed in update: system-config-printer-0.7.35-1.fc6

Note You need to log in before you can comment on or make changes to this bug.